extends CenterContainer

onready var grid = get_node("vbox/grid")
onready var btn_scale = get_node("vbox/btn_set_scale")
onready var btn = preload("res://btn.tscn")

func _ready():
	btn_scale.connect("pressed", self, "_pressed")
	
	for i in range(16):
		var inst = btn.instance()
		inst.set_scale(Vector2(0.5,0.5))
		grid.add_child(inst)

func _pressed():
	for child in grid.get_children():
		print("Expected (0.5, 0.5): ", child.get_scale())
		child.set_scale(Vector2(0.5,0.5))